{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}
    <link rel="stylesheet" href="{{ asset('vendor/bootstrap/css/bootstrap-datepicker.min.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/slick/slick.css') }}"/>
{% endblock %}

{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Lengkapi Data Kamu
        {% endblock %}

        {% block menuBar %}
            {% for message in app.flashes('failed') %}
                <div class="alert-danger">
                    {{ message }}
                </div>
            {% endfor %}
        {% endblock %}
    {% endembed %}


    {#    Detail Pesanan#}
    <form method="post" action="/member/profile/update" id="form-profile">
        <section class="container-fluid mt-3">
            <p class="f12 font-weight-bold mt-3 mb-4">Info Siswa</p>
            <div class="form-group mt-3">
                <label for="fullName">Nama Siswa (Wajib Di Isi)</label>
                <input form="form-profile" class="form-control" id="fullName" name="fullName" type="text"
                       placeholder="Chelsea Islan"
                       value="{{ profile.getFullName() }}" required/>
                <small id="fullName" class="form-text text-muted">Contoh: Chelsea Islan </small>
            </div>
            <div class="form-group mt-3">
                <label for="phone">Nomor Handphone (Wajib Di Isi Dengan Kode Negara)</label>
                <input form="form-profile" class="form-control" id="phone" name="phone" type="number"
                       value="{{ profile.getPhone() }}"
                       placeholder="628123456789" required/>
                <small id="phone" class="form-text text-muted">Contoh: 628123456789</small>
            </div>
            <div class="form-group mt-3 ">
                <label for="kelas">Kelas</label>
                <a  class="d-block" data-toggle="modal"
                    data-target="#modalPencarianKelas"><div class="d-flex">
                    <input id="class" value="{{ profile.getClass() != null ? profile.getClass().getId() : '' }}" name="class" type="hidden"/>
                    <input form="form-profile" class="form-control flex-grow-1" id="classString" name="classString" type="text"
                           value="{{ profile.getClass() != null ? profile.getClass().getName() : '' }}" readonly required
                           placeholder="Kelas"/>

                </div>
                </a>
                <small id="kelasHelp" class="form-text text-muted">Pilih Salah Satu</small>
            </div>
            <div class="form-group mt-3">
                <label for="kelas">Kecamatan</label>
                <a class="d-block"  data-toggle="modal"
                   data-target="#modalPencarianLokasi"><div class="d-flex">
                    {% set district = null %}
                    {% set dId = null %}
                    {% if(profile.getDistrict() != null) %}
                        {% set dId = profile.getDistrict().getId() %}
                        {% set district = profile.getDistrict().getDistrictName() ~ ' (' ~ profile.getDistrict().getCity().getCityName() ~ ',' ~ profile.getDistrict().getCity().getProvince().getProvinceName() ~')' %}
                    {% endif %}
                    <input form="form-profile" type="hidden" value="{{ dId }}" name="districtId" id="districtId"
                           >
                    <input class="form-control flex-grow-1" id="district" name="district" type="text"
                           value="{{ district }}" readonly
                           placeholder="Kecamatan" data-district="{{ dId }}"/>

                </div>
                </a>
                <small id="districtHelp" class="form-text text-muted">Pilih Salah Satu</small>
            </div>

            <div class="form-group mt-3">
                <label for="address">Alamat Lengkap</label>
                <textarea form="form-profile" class="form-control" id="address" rows="3" name="address"
                          >{{ profile.getAddress() }}</textarea>
                <small id="addressHelp" class="form-text text-muted">alamat lengkap.</small>
            </div>
        </section>
        <section class="fixed-bottom p-2 bg-white">

            <div class="d-flex justify-content-between align-items-center">
                <a id="btn-save-profile" class="bt-accent p-3 m-1 f10 d-block w-100" data-toggle="modal"
                   data-target="#exampleModalCenter">
                    Simpan
                </a>
            </div>

        </section>
    </form>
    {#    MODAL PENCARIAN KELAS #}
    <div class="modal fade" id="modalPencarianKelas" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-body p-3">
                    <section class="r-bottom container-fluid mt-3" style="padding-bottom: 10em">
                        <form>
                            {% for cl in kelas %}
                                <p class="f8 font-weight-bold mt-3 mb-1">{{ cl.Name() }}</p>
                                <div class="d-flex flex-wrap pt-3 justify-content-center">
                                    {% for cm in cl.memberClass() %}
                                        <div style="width: 33%">
                                            <input data-id="{{ cm.getId() }}" class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ cm.getId() }}"
                                                   value="{{ cm.getName() }}"
                                            {{ profile.getClass() != null ? (profile.getClass().getId() == cm.getId() ? 'checked' : '') : '' }}
                                            >
                                            <label id="" class="for-checkbox-jam" for="kelas{{ cm.getId() }}" style="font-size: 0.8em">
                                                {{ cm.getName() }}
                                            </label>
                                        </div>
                                    {% endfor %}
                                </div>
                            {% endfor %}

                        </form>
                    </section>

                    <section class="fixed-bottom d-block bg-white p-2" style="width: 100%">
                        <a id="btn-class-choice" class="bt-primary  d-block ml-auto mr-auto" data-dismiss="modal"
                           aria-label="Close"
                           style="width: 80%">Terapkan</a>

                    </section>
                </div>

            </div>
        </div>
    </div>



    <div class="space-25h"></div>
    {% embed 'siswa/Component/DistrictModal.html.twig' %}
    {% endembed %}
{% endblock %}

{% block JSMore %}
    <script src="{{ asset('vendor/bootstrap/js/bootstrap-datepicker.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        async function searchDistricts(value) {
            let el = $('#district-content');
            if (value !== '') {
                let param = {name: value};
                el.empty();
                el.append(createLoading());
                let response = await $.get('/api-public/cities/district', param);
                el.empty();
                if (response['code'] === 200) {
                    let payload = response['payload'];
                    if (payload.length > 0) {
                        $.each(response['payload'], function (k, v) {
                            const {district, id, city, province} = v;
                            let content = '<div class="hasil-pencarian">' +
                                '<a data-id="' + id + '" data-name="' + district + ' (' + city + ', ' + province + ')" class="title district-target">' + district + ' (' + city + ', ' + province + ')' +
                                '</a>' +
                                '</div>';
                            el.append(content);
                        });
                        $('.district-target').click(function () {
                            let el = $('#district');
                            el.val(this.dataset.name);
                            el.attr('data-district', this.dataset.id);
                            $('#districtId').val(this.dataset.id);
                            $('#modalPencarianLokasi').modal('hide');
                        });
                    } else {
                        let content = '<div class="hasil-pencarian">' +
                            'Wilayah Tidak Di Temukan' +
                            '</div>';
                        el.append(content);
                    }
                }
            } else {
                el.empty();
            }
        }

        $(document).ready(function () {
            $('#modalPencarianLokasi').on('show.bs.modal', async function (e) {
                $('#district-content').empty();
                $('#find-location-field').val('');
            });

            $('#btn-find-location').on('click', async function () {
                let val = $('#find-location-field').val();
                await searchDistricts(val);
            });

            $('#find-location-field').keyup(typeDelay(async function (e) {
                await searchDistricts(this.value);
            }, 500));

            $('#btn-save-profile').on('click', async function () {
                $('#form-profile').submit();
            });

            $('#btn-class-choice').on('click', function () {
                let kelas = $('input[name=kelas]:checked').attr('data-id');
                let kelasString = $('input[name=kelas]:checked').val();
                $('#classString').val(kelasString);
                $('#class').val(kelas)
            });

        });
    </script>
{% endblock %}